OccurrencesDataSource (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.client.util.stream

## Class OccurrencesDataSource

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.client.util.stream.OccurrencesDataSource

- All Implemented Interfaces:
    DataSource

      public class OccurrencesDataSource
      extends Object
      implements DataSource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OccurrencesDataSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected com.extjs.gxt.ui.client.data.BaseModelData` | `convertToData(Occurrence occurrence)`
    `int` | `getCount()`
    `void` | `getData(int start, int limit, ResultFilter activeFiltersObject, com.google.gwt.user.client.rpc.AsyncCallback<List<com.extjs.gxt.ui.client.data.ModelData>> callback)`
    `String` | `getInfo()`
    `void` | `getStreamState(com.google.gwt.user.client.rpc.AsyncCallback<StreamState> callback)`
    `void` | `setCount(int count)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OccurrencesDataSource

          public OccurrencesDataSource()

  - ### Method Detail

    - #### getStreamState

          public void getStreamState(com.google.gwt.user.client.rpc.AsyncCallback<StreamState> callback)

      Specified by:
        `getStreamState` in interface `DataSource`

    - #### getData

          public void getData(int start,
                     int limit,
                     ResultFilter activeFiltersObject,
                     com.google.gwt.user.client.rpc.AsyncCallback<List<com.extjs.gxt.ui.client.data.ModelData>> callback)

      Specified by:
        `getData` in interface `DataSource`

    - #### convertToData

          protected com.extjs.gxt.ui.client.data.BaseModelData convertToData(Occurrence occurrence)

    - #### getCount

          public int getCount()

    - #### setCount

          public void setCount(int count)

    - #### getInfo

          public String getInfo()

      Specified by:
        `getInfo` in interface `DataSource`

Copyright © 2013. All Rights Reserved.